Bug 994494 - Rewrite Section 3.1.9, "Storage Pool Manager Selection Process"
Rewrite Section 3.1.9, "Storage Pool Manager Selection Process"
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Zac Dover
ecs-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 07:54 EDT by Zac Dover
Modified: 2014-03-25 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 07:27:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zac Dover 2013-08-07 07:54:44 EDT
Description of problem:
Section 3.1.9., Storage Pool Manager Selection Process, should be rewritten, in order to make it clearer.

Version-Release number of selected component (if applicable):
3.3

How reproducible:
http://documentation-devel.engineering.redhat.com/docs/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Technical_Reference_Guide/chap-Storage_architecture.html#Storage_Pool_Manager_Selection_Process


Actual results:
3.1.9. Storage Pool Manager Selection Process
The storage pool manager selection process is initiated and managed by the Red Hat Enterprise Virtualization Manager.
First, the Red Hat Enterprise Virtualization Manager requests that VDSM confirm which host has the storage-centric lease.
The Red Hat Enterprise Virtualization Manager tracks the history of SPM assignment from the initial creation of a storage domain onward. The availability of the SPM role is confirmed in three ways:

    The "getSPMstatus" command: the Manager uses VDSM to check with the host that had SPM status last and receives one of "SPM", "Contending", or "Free".
    The metadata volume for a storage domain contains the last host with SPM status.
    The metadata volume for a storage domain contains the version of the last host with SPM status. 

If an operational, responsive host retains the storage-centric lease, the Red Hat Enterprise Virtualization Manager marks that host SPM in the administrator portal. No further action is taken.
If the SPM host does not respond, it is considered unreachable. If power management has been configured for the host, it is automatically fenced. If not, it requires manual fencing. The storage pool manager role cannot be assigned to a new host until the previous storage pool manager is fenced.
When the storage pool manager role and storage-centric lease are free, the Red Hat Enterprise Virtualization Manager assigns them to a randomly selected operational host in the data center.
If the storage pool manager role assignment fails on a new host, the Red Hat Enterprise Virtualization Manager adds the host to a list containing the hosts the operation has failed on. On subsequent iterations of the SPM selection, the Red Hat Enterprise Virtualization Manager attempts to assign the role to a host that is not included in the list.
The Red Hat Enterprise Virtualization Manager continues request that the storage pool manager role and storage-centric lease be assumed by a randomly selected host that is not on the list of failed hosts until the SPM selection succeeds.
Each time the current SPM is unresponsive or unable to fulfill its responsibilities, the Red Hat Enterprise Virtualization Manager initiates the storage pool manager selection process. 

Expected results:
Cut the guff, tidy it up.
Comment 1 Zac Dover 2013-08-27 07:27:14 EDT
This is a luxury bug, and I'll return to it if I have enough cycles after the essential bugs for 3.3 are complete.

Closing WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.